<?php
class DPostActionsController extends w8v_Controller_Action_Action {
	public function save_postAction($postid) {
		$post = get_post ( $postid );
		switch ($post->post_status) {
			case 'publish' :
			case 'private' :
				$dataObj = new DPostData ( );
				$data = $dataObj->get ();
				$delObj = new f2v_Delicious ( );
				if ($data ['id'] != '') {
					$delObj->logonBasic ( $data ['id'], $data ['password'] );
					$cats = get_the_category ( $postid );
					$tags = get_the_tags ( $postid );
					$dtags = array ();
					if (! empty ( $cats )) {
						foreach ( $cats as $cat ) {
							$dtags [$cat->name] = $cat->name;
						}
					}
					if (! empty ( $tags )) {
						foreach ( $tags as $tag ) {
							$dtags [$tag->name] = $tag->name;
						}
					}
					$dtags [] = 'From ' . get_option ( 'blogname' );
					$dtags [] = 'By DeliciousPost';
					$delObj->add_post ( get_permalink ( $post->ID ), urlencode ( $post->post_title ), null, $dtags, $post->post_date, true, ($post->post_status != "private") );
				}
				break;
		}
	}
	function add_bookmark($postid) {
		$post = get_post_to_edit ( $postid );
		$o = $this->loadClass ( 'wp_options' );
		if (($post->post_status == "publish" || $post->post_status == "private") && (($o->values ['pages'] && $post->post_type == 'page') || ($o->values ['posts'] && $post->post_type == 'post'))) {
			$d = $this->loadClass ( 'delicious' );
			$d->username = $o->values ['options'] ['id'];
			$d->password = $o->values ['options'] ['password'];
			$url = get_permalink ( $postid );
			$description = $post->post_title;
			$extended = null;
			$tags = "";
			switch ($post->post_type) {
				case "page" :
					$tags = $o->values ['options'] ['pagestags'];
					if ($o->values ['options'] ['ancs']) {
						foreach ( ( array ) $post->ancestors as $wtag ) {
							$tags .= " " . str_replace ( ' ', $o->values ['options'] ['sep'], strtolower ( get_the_title ( $wtag ) ) );
						}
					}
					if ($o->values ['options'] ['pat']) {
						$tags .= " " . str_replace ( ' ', $o->values ['options'] ['sep'], strtolower ( get_the_title ( $post->ID ) ) );
					}
					break;
				case "post" :
					$tags = $o->values ['options'] ['poststags'];
					$wtags = get_the_category ( $postid );
					if ($o->values ['options'] ['cats']) {
						foreach ( ( array ) $wtags as $wtag ) {
							$tags .= " " . str_replace ( ' ', $o->values ['options'] ['sep'], strtolower ( $wtag->name ) );
						}
					}
					if ($o->values ['options'] ['tags']) {
						global $wp_version;
						if ($wp_version >= 2.5) {
							$wtags = get_the_tags ( $postid );
							foreach ( ( array ) $wtags as $wtag ) {
								$tags .= " " . str_replace ( ' ', $o->values ['options'] ['sep'], strtolower ( $wtag->name ) );
							}
						}
					}
					if ($o->values ['options'] ['pot']) {
						$tags .= " " . str_replace ( ' ', $o->values ['options'] ['sep'], strtolower ( get_the_title ( $post->ID ) ) );
					}
					break;
			}
			$dt = date ( 'Y-m-d', strtotime ( $post->post_date_gmt ) ) . 'T' . date ( 'H:m:s', strtotime ( $post->post_date_gmt ) ) . "Z";
			$replace = "yes";
			$shared = null;
			if ($post->post_status == "private")
				$shared = "no";
			$resp = $d->add_post ( $url, $description, $extended, $tags, $dt, $replace, $shared );
		}
	}

}
		